Installer for EnhancedDiscord that works on Linux. The one provided by EnhancedDiscord does not work on Linux. This project is not affiliated with Discord, or EnhancedDiscord in any way!
Branch: master
Clone or download
Fetching latest commit…
Cannot retrieve the latest commit at this time.
Permalink
Type Name Latest commit message Commit time
Failed to load latest commit information.
.gitignore
LICENSE Initial commit Nov 20, 2018
LinuxED.py add reinject functionality Feb 16, 2019
README.md

README.md

LinuxED

Installer for EnhancedDiscord that works on Linux. The one provided by EnhancedDiscord does not work on Linux, and I was bored when making this. This project is not affiliated with Discord, or EnhancedDiscord in any way. I made this out of boredom and to see how good of something I could make in Python, so please note that I am still learning and that this is poorly coded, and I'm aware of how messy, inconsistent, and idiotic this script looks.

Versions of Linux supported

LinuxED supports most major distributions of Linux, and even supports MacOS.
It also supports all versions of Discord (PTB, Stable, Canary, etc.)

Features

  • Custom index.js location
  • EnhancedDiscord updater (this does update ED)
  • LinuxED updater (this does not update ED, it updates the LinuxED script)
  • Automates all EnhancedDiscord installation on Linux.

Requirements

This only requires git and python3.
To install git on Debian or any Debian derivatives (Ubuntu, Linux Mint) do sudo apt install git
To install git on Arch Linux or any Arch Linux derivatives (Manjaro, Antergos) do sudo pacman -S git
To install git on Solus, do sudo eopkg install git
To install git on RedHat or any RedHat derivatives (Fedora, CentOS) do sudo dnf install git

Installation and Usage

The proper way to install and use LinuxED is shown in this tutorial video:
How to install EnhancedDiscord on Linux or MacOS